

for (i in 1:length(temp)) {
  data<-read.table(temp[i],stringsAsFactors = FALSE)
  filename<-(temp[i])
  #print(data)
  less<-subset(data,data$V3>=98)
  less2<-subset(less,less$V4>99)
  occur<-as.data.frame(table(unlist(less2$V2)))
  #print(row.names(occur))
  colnames(occur)<-c('V1',filename)
  d<-merge(d,occur,by='V1',all=TRUE)
  d[is.na(d)]<-0
}

write.table(d,"fragment_out_id98.txt",row.names=FALSE,quote=FALSE,sep='\t')

data<-read.table("fragment_out_id98_renamed.txt",h=T)#has unique contigs removed from MAG names
new<-aggregate(.~V1,data=data,FUN=sum)
write.table(new,'fragment_out_id98_summary.txt',sep='\t',row.names=FALSE,quote=FALSE)

#to sum up everything by ecozone
data<-read.table("~fragment_out_id98_summary_extended_info.txt",h=T)
new<-aggregate(.~Environmental_Feature+Ocean_and_sea_regions,data=data,FUN=sum)
write.table(new,"id98_summary.txt",sep='\t',row.names=FALSE,quote=FALSE)